Debian Bug report logs - #539908
partman: libparted says "File system alias linux-swap(new) is deprecated"

version graph

Package: partman-base; Maintainer for partman-base is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-base is src:partman-base.

Reported by: Frans Pop <elendil@planet.nl>

Date: Tue, 4 Aug 2009 11:03:04 UTC

Severity: normal

Found in version partman-base/132

Fixed in version partman-base/140

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#539908; Package partman-base. (Tue, 04 Aug 2009 11:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 04 Aug 2009 11:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: partman: libparted says "File system alias linux-swap(new) is deprecated"
Date: Tue, 4 Aug 2009 12:56:43 +0200
Package: partman-base
Version: 132

During an installation I get a number of lines like:
main-menu[756]: (process:5108): [0] ../../libparted/filesys.c:147
   (ped_file_system_type_get): File system alias linux-swap(new) is deprecated

Looks like this will require updates in a number of partman components
(including partman-auto recipes) if we want to be 100% consistent.

Otavio: what is the correct replacement and could you take care of this
update?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#539908; Package partman-base. (Mon, 10 Aug 2009 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 10 Aug 2009 23:42:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Frans Pop <elendil@planet.nl>, 539908@bugs.debian.org
Cc: Debian BTS Submit <submit@bugs.debian.org>
Subject: Re: Bug#539908: partman: libparted says "File system alias linux-swap(new) is deprecated"
Date: Mon, 10 Aug 2009 20:38:30 -0300
Hello,

On Tue, Aug 4, 2009 at 7:56 AM, Frans Pop<elendil@planet.nl> wrote:
> Package: partman-base
> Version: 132
>
> During an installation I get a number of lines like:
> main-menu[756]: (process:5108): [0] ../../libparted/filesys.c:147
>   (ped_file_system_type_get): File system alias linux-swap(new) is deprecated
>
> Looks like this will require updates in a number of partman components
> (including partman-auto recipes) if we want to be 100% consistent.
>
> Otavio: what is the correct replacement and could you take care of this
> update?

Yes; I'll take it.

We changed it to use the (new) but after it we, in upstream, has
merged a Colin's patch to properly deprecated it and use linux-swap.

I'll fix it together with newer parted upload.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#539908; Package partman-base. (Mon, 10 Aug 2009 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 10 Aug 2009 23:42:04 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Mon, 22 Mar 2010 00:24:04 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Mon, 22 Mar 2010 00:24:04 GMT) Full text and rfc822 format available.

Message #20 received at 539908-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 539908-close@bugs.debian.org
Subject: Bug#539908: fixed in partman-base 140
Date: Mon, 22 Mar 2010 00:23:14 +0000
Source: partman-base
Source-Version: 140

We believe that the bug you reported is fixed in the latest version of
partman-base, which is due to be installed in the Debian FTP archive:

partman-base_140.dsc
  to main/p/partman-base/partman-base_140.dsc
partman-base_140.tar.gz
  to main/p/partman-base/partman-base_140.tar.gz
partman-base_140_i386.udeb
  to main/p/partman-base/partman-base_140_i386.udeb
partman-utils_140_i386.udeb
  to main/p/partman-base/partman-utils_140_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539908@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated partman-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Mar 2010 23:47:56 +0000
Source: partman-base
Binary: partman-base partman-utils
Architecture: source i386
Version: 140
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 partman-base - Partition the storage devices (partman) (udeb)
 partman-utils - Utilities related to partitioning (udeb)
Closes: 539908
Changes: 
 partman-base (140) unstable; urgency=low
 .
   * Don't warn about data loss on formatted/removed partitions when there
     are no such partitions (LP: #151266).
   * Build against parted 2.2.
   * Use linux-swap(v1) instead of linux-swap(new) to reflect changes to
     parted (thanks, Evan Dandrea; closes: #539908).
   * Apply optimal alignment constraints to new partitions, or when
     maximising an extended partition (LP: #530071).
   * Add an ALIGNMENT_OFFSET command which can be used to detect whether a
     partition is misaligned.
 .
   [ Updated translations ]
   * French (fr.po) by Christian Perrier
   * Lithuanian (lt.po) by Kęstutis Biliūnas
Checksums-Sha1: 
 b2ae6eb16be851e283ce91f076a922f78d0099f0 1104 partman-base_140.dsc
 60f0dc00e5e0274ec9fc1d803cd8e074322c1e49 175258 partman-base_140.tar.gz
 19f5c25b3ebdfb1cb36eb12fa3cc587ece746a4a 138516 partman-base_140_i386.udeb
 45c56a06a91b937da61eef0fe858868956273c19 3486 partman-utils_140_i386.udeb
Checksums-Sha256: 
 12bc4e4c616a53660b047a742c4472f39f0af8783520de9208b193578db0717d 1104 partman-base_140.dsc
 f5c49cf9791a27389bbdd6a02f68715c0a4551ee033add2d60371a60d776ec87 175258 partman-base_140.tar.gz
 9e8d438ba48b0c1e8a43588a8e1bfd7717f8c78241c9be22b853eb75793064e9 138516 partman-base_140_i386.udeb
 6b09c87c546c61f9fef18a42ef23e4808bd7b1df6aee963a8d0481b79f464627 3486 partman-utils_140_i386.udeb
Files: 
 0d733a81968fe24912cfa4833aeb2c58 1104 debian-installer standard partman-base_140.dsc
 c1c3f70817dc2f4226ad35bded58790c 175258 debian-installer standard partman-base_140.tar.gz
 2b17824deac164b095c4aaf8614c1865 138516 debian-installer standard partman-base_140_i386.udeb
 350d62c693ea617684e0cc4eb7a9fcee 3486 debian-installer extra partman-utils_140_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFLprWu9t0zAhD6TNERAtuKAJ9u8NffOn9uAx29Ft1Iimbs3b7smwCeKkgT
6ouOzsqcJjr7LtEzsbCPLKQ=
=9BtD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 May 2010 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:04:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.